#include "filters.h"

err_t setupfilters(filetype_t filetype)
{
  dprintf("setupfilters(%d)\n",filetype);

  switch(filetype)
    {
    case FPOSTSCRIPT:
      return(e_ok);
      break;
    case FROFF:
      addfilter("groff");
      return(e_ok);
      break;
    case FDVI:
      addfilter("/fs/lprng/bin/dvipsfilt");
      return(e_ok);
      break;
    case FJPEG:
      addfilter("/usr/bin/djpeg");
      addfilter("/usr/local/bin/pnmtops");
      return(e_ok);
      break;
    case FTIFF:
      addfilter("/usr/local/bin/tifftopnm");
      addfilter("/usr/local/bin/pnmtops");
      return(e_ok);
      break;
    case FGIF:
      addfilter("/usr/local/bin/giftopnm");
      addfilter("/usr/local/bin/pnmtops");
      return(e_ok);
      break;
    case FTEXT:
      addfilter("/fs/lprng/bin/textwrap /fs/lprng/bin/psf");
      return(e_ok);
      break;
    case FPJL:
      addfilter("/fs/lprng/bin/pjltops");
      return(e_ok);
      break;
    case FUNKNOWN:
      break;
    default:
      dprintf("HEP ME!  HEP ME!\n");
      break;
    }
  dprintf("failed to find file type\n");
  return(e_err);
}

/*
** addfilter("/usr/local/bin/a2ps --line-numbers=1 --pretty-print=plain -o -");
*/
